Loading...
Searching...
No Matches
dolfin::PeriodicBoundaryComputation Class Reference

This class computes map from slave entity to master entity. More...

`#include <PeriodicBoundaryComputation.h>`

## Static Public Member Functions

static std::map< unsigned int, std::pair< unsigned int, unsigned int > > | compute_periodic_pairs (const Mesh &mesh, const SubDomain &sub_domain, const std::size_t dim)
static MeshFunction< std::size_t > | masters_slaves (std::shared_ptr< const Mesh > mesh, const SubDomain &sub_domain, const std::size_t dim)

## Detailed Description

This class computes map from slave entity to master entity.

## Member Function Documentation

## compute_periodic_pairs()

std::map< unsigned int, std::pair< unsigned int, unsigned int > > PeriodicBoundaryComputation::compute_periodic_pairs | ( | const Mesh & | mesh,
|  | const SubDomain & | sub_domain,
|  | const std::size_t | dim )

static

For entities of dimension dim, compute map from a slave entity on this process (local index) to its master entity (owning process, local index on owner). If a master entity is shared by processes, only one of the owning processes is returned.

## masters_slaves()

MeshFunction< std::size_t > PeriodicBoundaryComputation::masters_slaves | ( | std::shared_ptr< const Mesh > | mesh,
|  | const SubDomain & | sub_domain,
|  | const std::size_t | dim )

static

This function returns a MeshFunction which marks mesh entities of dimension dim according to:

    2: slave entities
    1: master entities
    0: all other entities

It is useful for visualising and debugging the Expression::map function that is used to apply periodic boundary conditions.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/PeriodicBoundaryComputation.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/PeriodicBoundaryComputation.cpp